xoops forums

arinf

Just popping in
Posted on: 2004/2/23 8:13
arinf
arinf (Show more)
Just popping in
Posts: 38
Since: 2003/12/26
#1

registration not allowed after 2.0.6 upgrade

I upgraded to 2.0.6 and all is good except that new users cannot register and I can not create new users in the admin are either, just says "Could not register new user."

arinf

Just popping in
Posted on: 2004/2/23 17:02
arinf
arinf (Show more)
Just popping in
Posts: 38
Since: 2003/12/26
#2

Re: registration not allowed after 2.0.6 upgrade

Here is what I get when I try to add a new member via the admin area
Resized Image

Maracas

Just popping in
Posted on: 2004/2/23 17:10
Maracas
Maracas (Show more)
Just popping in
Posts: 66
Since: 2004/2/18
#3

Re: registration not allowed after 2.0.6 upgrade

When I upgraded to 2.0.6 I had a few problems trying to get things done, too, especially in the admin area. I looked in "Groups" and discovered that much of my access rights in the webmaster group had been unchecked, probably as a result of the upgrade (I gues). I fixed it all back up and it worked fine.

I'm not saying that will solve your problem, but it solved mine. You might take a look at Groups. Just a suggestion.

JackJ

Community Support Member
Posted on: 2004/2/23 17:35
JackJ
JackJ (Show more)
Community Support Member
Posts: 747
Since: 2003/8/31
#4

Re: registration not allowed after 2.0.6 upgrade

I had a similar problem. Yours may be file related, I have searched the forums and no answer yet that I can see.

I sorted my problem by going to my XOOPS database and the xoops_users table using phpadmin.

I discovered when clicking on the table and going to "browse", that the last user had an id of "0". After clicking on "structure" I discovered that the "uid" field was not set to "auto_increment". I set this and deleted the user/users with a uid of "0", this fixed my problem.

Long shot, it may not be this in your case, but you could go to the "sql" file in your XOOPS "install" folder in your download and check that all the field properties match.

arinf

Just popping in
Posted on: 2004/2/23 22:17
arinf
arinf (Show more)
Just popping in
Posts: 38
Since: 2003/12/26
#5

Re: registration not allowed after 2.0.6 upgrade

Thanks for the response

everything seems to be correct but still a no go, I am close to giving up on it but I would hate to give up all the work I have already done.

http://www.clanxh.com

Mithrandir

XOOPS is my life!
Posted on: 2004/2/23 22:31
Mithrandir
Mithrandir (Show more)
XOOPS is my life!
Posts: 6320
Since: 2003/6/21
#6

Re: registration not allowed after 2.0.6 upgrade

Do you get any PHP debug or MySQL errors with appropriate debug options enabled?

hpaco

Just popping in
Posted on: 2004/2/26 3:03
hpaco
hpaco (Show more)
Just popping in
Posts: 12
Since: 2004/2/21
#7

Re: registration not allowed after 2.0.6 upgrade

I have this same problem I cannot login and nobody else I cheked as said up here but the database has the auto_increment option

also previously I had the problem that #"$"#$# apears before everything I write and even registering new users appears
#"$"#$#nick
#"$"#$#password

help please